# Interface EventMap

插件事件

interface EventMap {
configChange: (
event: {
config: PanoAnimePluginType.Config;
prevConfig: PanoAnimePluginType.Config;
userAction: boolean;
},
) => void;
dataChange: (
data: PanoAnimePluginType.PluginData,
prevData?: PanoAnimePluginType.PluginData,
) => void;
dataLoaded: (data: PanoAnimePluginType.PluginData) => void;
dispose: () => void;
drawingChange: (drawing: boolean) => void;
stateChange: (params: StateChangeParams<PanoAnimePluginType.State>) => void;
}

#### Hierarchy (View Summary)

- BasePlugin.EventMap<PanoAnimePluginType.State, PanoAnimePluginType.PluginData>
  - EventMap

- Defined in lib/plugins/PanoAnimePlugin/typing.ts:36

##### Index

### Properties

configChange
dataChange
dataLoaded
dispose
drawingChange
stateChange

## Properties

### configChange

configChange: (
event: {
config: PanoAnimePluginType.Config;
prevConfig: PanoAnimePluginType.Config;
userAction: boolean;
},
) => void

config 变更的回调

- Defined in lib/plugins/PanoAnimePlugin/typing.ts:40

### dataChange

dataChange: (
data: PanoAnimePluginType.PluginData,
prevData?: PanoAnimePluginType.PluginData,
) => void

数据变更

Inherited from BasePlugin.EventMap.dataChange

- Defined in lib/plugins/BasePlugin/index.ts:59

### dataLoaded

dataLoaded: (data: PanoAnimePluginType.PluginData) => void

数据加载完成

Inherited from BasePlugin.EventMap.dataLoaded

- Defined in lib/plugins/BasePlugin/index.ts:61

### dispose

dispose: () => void

插件被销毁

Inherited from BasePlugin.EventMap.dispose

- Defined in lib/plugins/BasePlugin/index.ts:55

### drawingChange

drawingChange: (drawing: boolean) => void

- Defined in lib/plugins/PanoAnimePlugin/typing.ts:37

### stateChange

stateChange: (params: StateChangeParams<PanoAnimePluginType.State>) => void

插件状态变化

Inherited from BasePlugin.EventMap.stateChange

- Defined in lib/plugins/BasePlugin/index.ts:57